diff --git a/hist/histpainter/src/THistPainter.cxx b/hist/histpainter/src/THistPainter.cxx
index b4cf64a..60de6b3 100644
--- a/hist/histpainter/src/THistPainter.cxx
+++ b/hist/histpainter/src/THistPainter.cxx
@@ -6594,7 +6594,6 @@ void THistPainter::PaintLego(Option_t *)
    }
 
    if (Hoption.Lego == 1 || Hoption.Lego == 11) {
-      fLego->SetLineColor(1);
       if (Hoption.System == kCARTESIAN && Hoption.BackBox) {
          fLego->SetDrawFace(&TPainter3dAlgorithms::DrawFaceMove1);
          fLego->BackBox(90);
@@ -7754,7 +7753,7 @@ void THistPainter::PaintSurface(Option_t *)
    }
 
    fLego = new TPainter3dAlgorithms(fXbuf, fYbuf, Hoption.System);
-   fLego->SetLineColor(fH->GetLineColor());
+   fLego->SetEdgeAtt(fH->GetLineColor(),fH->GetLineStyle(),fH->GetLineWidth(),0);
    fLego->SetFillColor(fH->GetFillColor());
 
    //          Create axis object
@@ -7831,7 +7830,6 @@ void THistPainter::PaintSurface(Option_t *)
 
    if (Hoption.Surf == 11 || Hoption.Surf == 12 || Hoption.Surf == 14 || Hoption.Surf == 17) {
       fLego->DefineGridLevels(fZaxis->GetNdivisions()%100);
-      fLego->SetLineColor(1);
       if (Hoption.System == kCARTESIAN && Hoption.BackBox) {
          fLego->SetDrawFace(&TPainter3dAlgorithms::DrawFaceMove1);
          fLego->BackBox(90);
@@ -7916,7 +7914,6 @@ void THistPainter::PaintSurface(Option_t *)
 
    if ((!Hoption.Same) &&
        (Hoption.Surf == 1 || Hoption.Surf == 13 || Hoption.Surf == 16)) {
-      fLego->SetLineColor(1);
       if (Hoption.System == kCARTESIAN && Hoption.BackBox) {
          fLego->SetDrawFace(&TPainter3dAlgorithms::DrawFaceMove1);
          fLego->BackBox(90);
